commit 503b3f7ba498ca4c938fba91061c0c284e26727d
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Wed Apr 9 22:41:58 2014 +0200

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.info b/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.info
index 254b5622..ad36ae4d 100644
--- a/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.info
+++ b/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.info
@@ -5,9 +5,9 @@ dependencies[] = commerce_price
 core = 7.x
 
 
-; Information added by Drupal.org packaging script on 2014-03-23
+; Information added by Drupal.org packaging script on 2014-04-08
 version = "7.x-1.x-dev"
 core = "7.x"
 project = "commerce_price_flexyformatter"
-datestamp = "1395580758"
+datestamp = "1396991954"
 
diff --git a/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.module b/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.module
index 46784c2e..d854ddd7 100644
--- a/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.module
+++ b/drupal7/sites/all/modules/commerce_price_flexyformatter/commerce_price_flexyformatter.module
@@ -28,6 +28,7 @@ function commerce_price_flexyformatter_field_formatter_info() {
         'base' => array('selection' => array('base_price' => 'base_price'), 'weight' => 0, 'calc' => 'default'),
         'reference1' => array('class' => '.flexy-striked', 'weight' => -10, 'calc' => 'default'),
         'reference2' => array('weight' => 10, 'calc' => 'default'),
+        'raw' => array(),
         // need this to load all price components, hoping will not be changed
         'calculation' => 'calculated_sell_price',
       ),
@@ -169,6 +170,11 @@ function commerce_price_flexyformatter_field_formatter_settings_form($field, $in
     '#default_value' => $settings['reference2']['weight'],
     '#size' => 6,
   );
+  $element['raw'] = array(
+    '#type' => 'checkbox',
+    '#title' => t('Use unformatted amount'),
+    '#default_value' => $settings['raw'],
+  );
 
   return $element;
 }
@@ -241,7 +247,7 @@ function commerce_price_flexyformatter_field_formatter_settings_summary($field,
       $summary[] = t('2nd reference amount not enabled.');
     }
   }
-
+  if (isset($settings['raw']) && $settings['raw']) $summary[] = t('Using unformatted amounts.');
   return implode('<br />', $summary);
 }
 /**
@@ -322,6 +328,7 @@ function commerce_price_flexyformatter_field_formatter_view($entity_type, $entit
                 'weight' => (isset($display['settings']['reference2']['weight'])?$display['settings']['reference2']['weight']:null),
                 'enabled' => (isset($display['settings']['reference2']['enabled'])?$display['settings']['reference2']['enabled']:0),
               ),
+              'raw' =>(isset($display['settings']['raw'])?$display['settings']['raw']:false),
               'currency_code' => $item['currency_code'],
             )
           ),
@@ -342,8 +349,8 @@ function theme_commerce_price_flexyformatter_selected_amount($variables) {
   uasort($variables, 'drupal_sort_weight');
   drupal_add_css(drupal_get_path('module', 'commerce_price_flexyformatter') . '/commerce_price_flexyformatter.css');
   foreach ($variables as $key => $variable) {
-   if (is_numeric($variable['weight']) && ($key == 'base' || $variable['enabled'])) {
-    $output .= '<span class=flexy-item' . ($variable['class']?' ' . $variable['class']:'') . '><span class"flexy-title">' . $variable['label'] . '</span><span class="flexy-amount">' . commerce_currency_format($variable['amount'], $variables['currency_code']) . '</span></span> ';
+   if (isset($variable['weight']) && is_numeric($variable['weight']) && ($key == 'base' || $variable['enabled'])) {
+    $output .= '<span class=flexy-item' . ($variable['class']?' ' . $variable['class']:'') . '><span class"flexy-title">' . $variable['label'] . '</span><span class="flexy-amount">' . ($variables['raw'] == false ? commerce_currency_format($variable['amount'], $variables['currency_code']): commerce_currency_amount_to_decimal($variable['amount'], $variables['currency_code'])) . '</span></span> ';
    }
   }
 
diff --git a/drupal7/sites/all/modules/entity/entity.info b/drupal7/sites/all/modules/entity/entity.info
index 3f68382a..a60170ff 100644
--- a/drupal7/sites/all/modules/entity/entity.info
+++ b/drupal7/sites/all/modules/entity/entity.info
@@ -25,9 +25,9 @@ files[] = views/handlers/entity_views_handler_field_uri.inc
 files[] = views/handlers/entity_views_handler_relationship_by_bundle.inc
 files[] = views/handlers/entity_views_handler_relationship.inc
 files[] = views/plugins/entity_views_plugin_row_entity_view.inc
-; Information added by Drupal.org packaging script on 2014-03-20
-version = "7.x-1.4"
+; Information added by Drupal.org packaging script on 2014-04-08
+version = "7.x-1.5"
 core = "7.x"
 project = "entity"
-datestamp = "1395335062"
+datestamp = "1396975454"
 
diff --git a/drupal7/sites/all/modules/entity/entity.module b/drupal7/sites/all/modules/entity/entity.module
index d1fa0894..d4a882cd 100644
--- a/drupal7/sites/all/modules/entity/entity.module
+++ b/drupal7/sites/all/modules/entity/entity.module
@@ -203,6 +203,9 @@ function entity_ui_get_page_title($op, $entity_type, $entity = NULL) {
   if (isset($entity)) {
     list(, , $bundle) = entity_extract_ids($entity_type, $entity);
   }
+  else {
+    $bundle = NULL;
+  }
   return entity_ui_get_action_title($op, $entity_type, $bundle);
 }
 
@@ -1274,6 +1277,37 @@ function entity_ui_get_form($entity_type, $entity, $op = 'edit', $form_state = a
   return drupal_build_form($form_id, $form_state);
 }
 
+
+/**
+ * Gets the page/menu title for local action operations.
+ *
+ * @param $op
+ *  The current operation. One of 'add' or 'import'.
+ * @param $entity_type
+ *  The entity type.
+ * @param $bundle_name
+ *  (Optional) The name of the bundle. May be NULL if the bundle name is not
+ *  relevant to the current page. If the entity type has only one bundle, or no
+ *  bundles, this will be the same as the entity type.
+ */
+function entity_ui_get_action_title($op, $entity_type, $bundle_name = NULL) {
+  $info = entity_get_info($entity_type);
+  switch ($op) {
+    case 'add':
+      if (isset($bundle_name) && $bundle_name != $entity_type) {
+        return t('Add @bundle_name @entity_type', array(
+          '@bundle_name' => drupal_strtolower($info['bundles'][$bundle_name]['label']),
+          '@entity_type' => drupal_strtolower($info['label']),
+        ));
+      }
+      else {
+        return t('Add @entity_type', array('@entity_type' => drupal_strtolower($info['label'])));
+      }
+    case 'import':
+      return t('Import @entity_type', array('@entity_type' => drupal_strtolower($info['label'])));
+  }
+}
+
 /**
  * Helper for using i18n_string().
  *
diff --git a/drupal7/sites/all/modules/entity/entity.test b/drupal7/sites/all/modules/entity/entity.test
index 89f75dac..03c2551a 100644
--- a/drupal7/sites/all/modules/entity/entity.test
+++ b/drupal7/sites/all/modules/entity/entity.test
@@ -1443,6 +1443,11 @@ class EntityMetadataIntegrationTestCase extends EntityWebTestCase {
     $this->assertTrue($wrapper->$name->value() === NULL, 'Property ' . check_plain($name) . ' is empty.');
   }
 
+  protected function assertEmptyArray($wrapper, $name) {
+    $this->assertTrue(isset($wrapper->$name), 'Property ' . check_plain($name) . ' exists.');
+    $this->assertTrue($wrapper->$name->value() === array(), 'Property ' . check_plain($name) . ' is an empty array.');
+  }
+
   protected function assertValue($wrapper, $key) {
     $this->assertTrue($wrapper->$key->value() !== NULL, check_plain($key) . ' property returned.');
     $info = $wrapper->$key->info();
@@ -1470,8 +1475,8 @@ class EntityMetadataIntegrationTestCase extends EntityWebTestCase {
 
     // Try using book properties for no book nodes.
     $wrapper = entity_metadata_wrapper('node', $node3);
-    $this->assertException($wrapper, 'book');
-    $this->assertException($wrapper, 'book_ancestors');
+    $this->assertEmpty($wrapper, 'book');
+    $this->assertEmptyArray($wrapper, 'book_ancestors');
   }
 
   /**
@@ -1579,8 +1584,8 @@ class EntityMetadataIntegrationTestCase extends EntityWebTestCase {
         $this->assertValue($wrapper, $key);
       }
     }
-    $this->assertException($wrapper, 'book');
-    $this->assertException($wrapper, 'book_ancestors');
+    $this->assertEmpty($wrapper, 'book');
+    $this->assertEmptyArray($wrapper, 'book_ancestors');
     $this->assertEmpty($wrapper, 'source');
     $this->assertException($wrapper->source, 'title');
     $this->assertEmpty($wrapper, 'last_view');
diff --git a/drupal7/sites/all/modules/entity/entity_token.info b/drupal7/sites/all/modules/entity/entity_token.info
index 2e496c7b..194e2133 100644
--- a/drupal7/sites/all/modules/entity/entity_token.info
+++ b/drupal7/sites/all/modules/entity/entity_token.info
@@ -5,9 +5,9 @@ files[] = entity_token.tokens.inc
 files[] = entity_token.module
 dependencies[] = entity
 
-; Information added by Drupal.org packaging script on 2014-03-20
-version = "7.x-1.4"
+; Information added by Drupal.org packaging script on 2014-04-08
+version = "7.x-1.5"
 core = "7.x"
 project = "entity"
-datestamp = "1395335062"
+datestamp = "1396975454"
 
diff --git a/drupal7/sites/all/modules/entity/entity_token.tokens.inc b/drupal7/sites/all/modules/entity/entity_token.tokens.inc
index f9ec7f7e..77a170d7 100644
--- a/drupal7/sites/all/modules/entity/entity_token.tokens.inc
+++ b/drupal7/sites/all/modules/entity/entity_token.tokens.inc
@@ -180,9 +180,11 @@ function entity_token_tokens($type, $tokens, array $data = array(), array $optio
         $wrapper = !isset($wrapper) ? _entity_token_wrap_data($type, $token_types[$type], $data[$type], $options) : $wrapper;
         $property_name = str_replace('-', '_', $name);
         try {
-          $replacement = _entity_token_get_token($wrapper->$property_name, $options);
-          if (isset($replacement)) {
-            $replacements[$original] = $replacement;
+          if (isset($wrapper->$property_name)) {
+            $replacement = _entity_token_get_token($wrapper->$property_name, $options);
+            if (isset($replacement)) {
+              $replacements[$original] = $replacement;
+            }
           }
         }
         catch (EntityMetadataWrapperException $e) {
@@ -294,7 +296,7 @@ function _entity_token_wrap_data($token_type, $type, $data, $options) {
  */
 function _entity_token_get_token($wrapper, $options) {
 
-  if ($wrapper->value() === NULL) {
+  if (!$wrapper || $wrapper->value() === NULL) {
     // Do not provide a replacement if there is no value.
     return NULL;
   }
diff --git a/drupal7/sites/all/modules/entity/includes/entity.controller.inc b/drupal7/sites/all/modules/entity/includes/entity.controller.inc
index 4b01df86..f675a63a 100644
--- a/drupal7/sites/all/modules/entity/includes/entity.controller.inc
+++ b/drupal7/sites/all/modules/entity/includes/entity.controller.inc
@@ -171,7 +171,7 @@ class EntityAPIController extends DrupalDefaultEntityController implements Entit
     if ($this->revisionKey) {
       // Compare revision id of the base and revision table, if equal then this
       // is the default revision.
-      $query->addExpression('base.' . $this->revisionKey . ' = revision.' . $this->revisionKey, $this->defaultRevisionKey);
+      $query->addExpression('CASE WHEN base.' . $this->revisionKey . ' = revision.' . $this->revisionKey . ' THEN 1 ELSE 0 END', $this->defaultRevisionKey);
     }
     return $query;
   }
@@ -373,10 +373,7 @@ class EntityAPIController extends DrupalDefaultEntityController implements Entit
       // Do nothing, in case invalid or no ids have been passed.
       return;
     }
-    // This transaction causes troubles on MySQL, see
-    // http://drupal.org/node/1007830. So we deactivate this by default until
-    // is shipped in a point release.
-    // $transaction = isset($transaction) ? $transaction : db_transaction();
+    $transaction = isset($transaction) ? $transaction : db_transaction();
 
     try {
       $ids = array_keys($entities);
@@ -400,9 +397,7 @@ class EntityAPIController extends DrupalDefaultEntityController implements Entit
       db_ignore_slave();
     }
     catch (Exception $e) {
-      if (isset($transaction)) {
-        $transaction->rollback();
-      }
+      $transaction->rollback();
       watchdog_exception($this->entityType, $e);
       throw $e;
     }
diff --git a/drupal7/sites/all/modules/entity/includes/entity.inc b/drupal7/sites/all/modules/entity/includes/entity.inc
index 2fe9997e..4efd071a 100644
--- a/drupal7/sites/all/modules/entity/includes/entity.inc
+++ b/drupal7/sites/all/modules/entity/includes/entity.inc
@@ -56,7 +56,7 @@ class Entity {
     $this->entityInfo = entity_get_info($this->entityType);
     $this->idKey = $this->entityInfo['entity keys']['id'];
     $this->nameKey = isset($this->entityInfo['entity keys']['name']) ? $this->entityInfo['entity keys']['name'] : $this->idKey;
-    $this->statusKey = empty($info['entity keys']['status']) ? 'status' : $info['entity keys']['status'];
+    $this->statusKey = empty($this->entityInfo['entity keys']['status']) ? 'status' : $this->entityInfo['entity keys']['status'];
   }
 
   /**
diff --git a/drupal7/sites/all/modules/entity/includes/entity.ui.inc b/drupal7/sites/all/modules/entity/includes/entity.ui.inc
index 0c897ad7..1826da40 100644
--- a/drupal7/sites/all/modules/entity/includes/entity.ui.inc
+++ b/drupal7/sites/all/modules/entity/includes/entity.ui.inc
@@ -724,36 +724,6 @@ function entity_ui_controller_form_submit($form, &$form_state) {
   entity_ui_controller($form_state['entity_type'])->$method($form, $form_state);
 }
 
-/**
- * Gets the page/menu title for local action operations.
- *
- * @param $op
- *  The current operation. One of 'add' or 'import'.
- * @param $entity_type
- *  The entity type.
- * @param $bundle_name
- *  (Optional) The name of the bundle. May be NULL if the bundle name is not
- *  relevant to the current page. If the entity type has only one bundle, or no
- *  bundles, this will be the same as the entity type.
- */
-function entity_ui_get_action_title($op, $entity_type, $bundle_name = NULL) {
-  $info = entity_get_info($entity_type);
-  switch ($op) {
-    case 'add':
-      if (isset($bundle_name) && $bundle_name != $entity_type) {
-        return t('Add @bundle_name @entity_type', array(
-          '@bundle_name' => drupal_strtolower($info['bundles'][$bundle_name]['label']),
-          '@entity_type' => drupal_strtolower($info['label']),
-        ));
-      }
-      else {
-        return t('Add @entity_type', array('@entity_type' => drupal_strtolower($info['label'])));
-      }
-    case 'import':
-      return t('Import @entity_type', array('@entity_type' => drupal_strtolower($info['label'])));
-  }
-}
-
 /**
  * Submit builder for the main entity form, which extracts the form values and updates the entity.
  *
diff --git a/drupal7/sites/all/modules/entity/includes/entity.wrapper.inc b/drupal7/sites/all/modules/entity/includes/entity.wrapper.inc
index 2083019d..67764e7e 100644
--- a/drupal7/sites/all/modules/entity/includes/entity.wrapper.inc
+++ b/drupal7/sites/all/modules/entity/includes/entity.wrapper.inc
@@ -758,7 +758,7 @@ class EntityDrupalWrapper extends EntityStructureWrapper {
     elseif ($this->id === FALSE && !$this->data) {
       $this->updateParent(NULL);
     }
-    elseif ($previous_id != $this->id) {
+    elseif ($previous_id !== $this->id) {
       $this->updateParent($this->id);
     }
     return $this;
@@ -824,6 +824,12 @@ class EntityDrupalWrapper extends EntityStructureWrapper {
    */
   public function entityAccess($op, $account = NULL) {
     $entity = $this->dataAvailable() ? $this->value() : NULL;
+    // The value() method could return FALSE on entities such as user 0, so we
+    // need to use NULL instead to conform to the expectations of
+    // entity_access().
+    if ($entity === FALSE) {
+      $entity = NULL;
+    }
     return entity_access($op, $this->type, $entity, $account);
   }
 
@@ -1038,8 +1044,11 @@ class EntityListWrapper extends EntityMetadataWrapper implements IteratorAggrega
     // Support setting lists of fully loaded entities.
     if ($this->isEntityList && $values && is_object(reset($values))) {
       foreach ($values as $key => $value) {
-        list($id, $vid, $bundle) = entity_extract_ids($this->itemType, $value);
-        $values[$key] = $id;
+        // Ignore outdated NULL value references in lists of entities.
+        if (isset($value)) {
+          list($id, $vid, $bundle) = entity_extract_ids($this->itemType, $value);
+          $values[$key] = $id;
+        }
       }
     }
     return parent::set($values);
diff --git a/drupal7/sites/all/modules/entity/modules/callbacks.inc b/drupal7/sites/all/modules/entity/modules/callbacks.inc
index de59abec..3865efd4 100644
--- a/drupal7/sites/all/modules/entity/modules/callbacks.inc
+++ b/drupal7/sites/all/modules/entity/modules/callbacks.inc
@@ -20,12 +20,12 @@ function entity_metadata_entity_get_properties($entity, array $options, $name, $
  * @see entity_metadata_book_entity_info_alter()
  */
 function entity_metadata_book_get_properties($node, array $options, $name, $entity_type) {
-  if (!isset($node->book['bid'])) {
-    throw new EntityMetadataWrapperException('This node is no book page.');
-  }
   switch ($name) {
     case 'book':
-      return $node->book['bid'];
+      if (isset($node->book['bid'])) {
+        return $node->book['bid'];
+      }
+      return NULL;
 
     case 'book_ancestors':
       $ancestors = array();
@@ -92,6 +92,12 @@ function entity_metadata_comment_get_node_properties($node, array $options, $nam
 
     case 'comment_count_new':
       return comment_num_new($node->nid);
+
+    case 'comments':
+      $select = db_select('comment', 'c')
+        ->fields('c', array('cid'))
+        ->condition('c.nid', $node->nid);
+      return array_keys($select->execute()->fetchAllKeyed(0, 0));
   }
 }
 
@@ -413,7 +419,7 @@ function entity_metadata_language_list() {
   $list = array();
   $list[LANGUAGE_NONE] = t('Language neutral');
   foreach (language_list() as $language) {
-    $list[$language->language] = $language->name;
+    $list[$language->language] = t($language->name);
   }
   return $list;
 }
@@ -972,10 +978,17 @@ function entity_metadata_form_comment($comment) {
  * Callback to get the form of a user account.
  */
 function entity_metadata_form_user($account) {
-  // Pre-populate the form-state with the right form include.
+  // If $account->uid is set then we want a user edit form.
+  // Otherwise we want the user register form.
+  if (isset($account->uid)) {
+    $form_id = 'user_profile_form';
+    form_load_include($form_state, 'inc', 'user', 'user.pages');
+  }
+  else {
+    $form_id = 'user_register_form';
+  }
   $form_state['build_info']['args'] = array($account);
-  form_load_include($form_state, 'inc', 'user', 'user.pages');
-  return drupal_build_form('user_profile_form', $form_state);
+  return drupal_build_form($form_id, $form_state);
 }
 
 /**
diff --git a/drupal7/sites/all/modules/entity/modules/comment.info.inc b/drupal7/sites/all/modules/entity/modules/comment.info.inc
index 7480507e..663c09c3 100644
--- a/drupal7/sites/all/modules/entity/modules/comment.info.inc
+++ b/drupal7/sites/all/modules/entity/modules/comment.info.inc
@@ -137,6 +137,13 @@ function entity_metadata_comment_entity_property_info_alter(&$info) {
     'setter permission' => 'administer comments',
     'type' => 'integer',
   );
+  $properties['comments'] = array(
+    'label' => t("Comments"),
+    'type' => 'list<comment>',
+    'description' => t("The node comments."),
+    'getter callback' => 'entity_metadata_comment_get_node_properties',
+    'computed' => TRUE,
+  );
   $properties['comment_count'] = array(
     'label' => t("Comment count"),
     'description' => t("The number of comments posted on a node."),
diff --git a/drupal7/sites/all/modules/entity/tests/entity_feature.info b/drupal7/sites/all/modules/entity/tests/entity_feature.info
index edb0d5c1..051ff006 100644
--- a/drupal7/sites/all/modules/entity/tests/entity_feature.info
+++ b/drupal7/sites/all/modules/entity/tests/entity_feature.info
@@ -6,9 +6,9 @@ files[] = entity_feature.module
 dependencies[] = entity_test
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-03-20
-version = "7.x-1.4"
+; Information added by Drupal.org packaging script on 2014-04-08
+version = "7.x-1.5"
 core = "7.x"
 project = "entity"
-datestamp = "1395335062"
+datestamp = "1396975454"
 
diff --git a/drupal7/sites/all/modules/entity/tests/entity_test.info b/drupal7/sites/all/modules/entity/tests/entity_test.info
index 0c6de963..c8075060 100644
--- a/drupal7/sites/all/modules/entity/tests/entity_test.info
+++ b/drupal7/sites/all/modules/entity/tests/entity_test.info
@@ -7,9 +7,9 @@ files[] = entity_test.install
 dependencies[] = entity
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-03-20
-version = "7.x-1.4"
+; Information added by Drupal.org packaging script on 2014-04-08
+version = "7.x-1.5"
 core = "7.x"
 project = "entity"
-datestamp = "1395335062"
+datestamp = "1396975454"
 
diff --git a/drupal7/sites/all/modules/entity/tests/entity_test_i18n.info b/drupal7/sites/all/modules/entity/tests/entity_test_i18n.info
index a5be0767..af304d50 100644
--- a/drupal7/sites/all/modules/entity/tests/entity_test_i18n.info
+++ b/drupal7/sites/all/modules/entity/tests/entity_test_i18n.info
@@ -5,9 +5,9 @@ dependencies[] = i18n_string
 package = Multilingual - Internationalization
 core = 7.x
 hidden = TRUE
-; Information added by Drupal.org packaging script on 2014-03-20
-version = "7.x-1.4"
+; Information added by Drupal.org packaging script on 2014-04-08
+version = "7.x-1.5"
 core = "7.x"
 project = "entity"
-datestamp = "1395335062"
+datestamp = "1396975454"
 
diff --git a/drupal7/sites/all/modules/entity/views/entity.views.inc b/drupal7/sites/all/modules/entity/views/entity.views.inc
index b24fb4a5..59ebaa48 100644
--- a/drupal7/sites/all/modules/entity/views/entity.views.inc
+++ b/drupal7/sites/all/modules/entity/views/entity.views.inc
@@ -389,6 +389,50 @@ class EntityDefaultViewsController {
       // Add in any reverse-relationships which have been determined.
       $data += $this->relationships;
     }
+    if (!empty($this->info['revision table']) && !empty($this->info['entity keys']['revision'])) {
+      $revision_table = $this->info['revision table'];
+
+      $data[$table]['table']['default_relationship'] = array(
+        $revision_table => array(
+          'table' => $revision_table,
+          'field' => $this->info['entity keys']['revision'],
+        ),
+      );
+
+      // Define the base group of this table. Fields that don't
+      // have a group defined will go into this field by default.
+      $data[$revision_table]['table']['group']  = drupal_ucfirst($this->info['label']) . ' ' . t('Revisions');
+      $data[$revision_table]['table']['entity type'] = $this->type;
+
+      // If the plural label isn't available, use the regular label.
+      $label = isset($this->info['plural label']) ? $this->info['plural label'] : $this->info['label'];
+      $data[$revision_table]['table']['base'] = array(
+        'field' => $this->info['entity keys']['revision'],
+        'access query tag' => $this->type . '_access',
+        'title' => drupal_ucfirst($label) . ' ' . t('Revisions'),
+        'help' => (isset($this->info['description']) ? $this->info['description'] . ' ' : '') . t('Revisions'),
+      );
+      $data[$revision_table]['table']['entity type'] = $this->type;
+      $data[$revision_table] += $this->schema_revision_fields();
+
+      // Add in any reverse-relationships which have been determined.
+      $data += $this->relationships;
+
+      // For other base tables, explain how we join.
+      $data[$revision_table]['table']['join'] = array(
+        // Directly links to base table.
+        $table => array(
+          'left_field' => $this->info['entity keys']['revision'],
+          'field' => $this->info['entity keys']['revision'],
+        ),
+      );
+      $data[$revision_table]['table']['default_relationship'] = array(
+        $table => array(
+          'table' => $table,
+          'field' => $this->info['entity keys']['id'],
+        ),
+      );
+    }
     return $data;
   }
 
@@ -411,6 +455,27 @@ class EntityDefaultViewsController {
     return $data;
   }
 
+  /**
+   * Try to come up with some views fields with the help of the revision schema
+   * and the entity property information.
+   */
+  protected function schema_revision_fields() {
+    $data = array();
+    if (!empty($this->info['revision table'])) {
+      $schema = drupal_get_schema($this->info['revision table']);
+      $properties = entity_get_property_info($this->type) + array('properties' => array());
+
+      foreach ($properties['properties'] as $name => $property_info) {
+        if (isset($property_info['schema field']) && isset($schema['fields'][$property_info['schema field']])) {
+          if ($views_info = $this->map_from_schema_info($name, $schema['fields'][$property_info['schema field']], $property_info)) {
+            $data[$name] = $views_info;
+          }
+        }
+      }
+    }
+    return $data;
+  }
+
   /**
    * Comes up with views information based on the given schema and property
    * info.
diff --git a/drupal7/sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc b/drupal7/sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc
index 3a66dc5f..0077f4a3 100644
--- a/drupal7/sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc
+++ b/drupal7/sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc
@@ -343,7 +343,7 @@ class EntityFieldHandlerHelper {
             $values->_entity_properties[$selector] = $wrapper->value();
           }
           else {
-            $values->_entity_properties[$selector] = isset($wrapper->$field) ? $wrapper->$field->value(array('identifier' => TRUE)) : $default;
+            $values->_entity_properties[$selector] = isset($wrapper->$field) ? $wrapper->$field->value(array('identifier' => TRUE, 'sanitize' => TRUE)) : $default;
           }
         }
         catch (EntityMetadataWrapperException $e) {
diff --git a/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc b/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc
index 53454b2d..2850e6a7 100644
--- a/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc
+++ b/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc
@@ -122,8 +122,10 @@ class entity_views_handler_field_duration extends views_handler_field {
     if ($this->options['format_interval']) {
       $value = format_interval($value, (int) $this->options['granularity']);
     }
+    // Value sanitization is handled by the wrapper, see
+    // EntityFieldHandlerHelper::get_value().
     return $this->sanitize_value($this->options['prefix'], 'xss') .
-        $this->sanitize_value($value) .
+        $value .
         $this->sanitize_value($this->options['suffix'], 'xss');
   }
 
diff --git a/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc b/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc
index a947d36c..8792c836 100644
--- a/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc
+++ b/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc
@@ -112,8 +112,9 @@ class entity_views_handler_field_options extends views_handler_field {
     if ($this->options['format_name'] && isset($this->option_list[$value])) {
       $value = $this->option_list[$value];
     }
-
-    return $this->sanitize_value($value);
+    // Sanitization is handled by the wrapper, see
+    // EntityFieldHandlerHelper::get_value().
+    return $value;
   }
 
 }
diff --git a/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc b/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc
index a7921dac..425abf27 100644
--- a/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc
+++ b/drupal7/sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc
@@ -93,7 +93,9 @@ class entity_views_handler_field_text extends views_handler_field {
    * Render a single field value.
    */
   public function render_single_value($value, $values) {
-    return $this->sanitize_value($value, 'xss');
+    // Sanitization is handled by the wrapper, see
+    // EntityFieldHandlerHelper::get_value().
+    return $value;
   }
 
 }
diff --git a/drupal7/sites/all/modules/jquery_update/jquery_update.info b/drupal7/sites/all/modules/jquery_update/jquery_update.info
index c5e8b7b6..e328ba72 100644
--- a/drupal7/sites/all/modules/jquery_update/jquery_update.info
+++ b/drupal7/sites/all/modules/jquery_update/jquery_update.info
@@ -7,9 +7,9 @@ files[] = jquery_update.install
 
 configure = admin/config/development/jquery_update
 
-; Information added by drupal.org packaging script on 2013-02-09
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2014-04-02
+version = "7.x-2.4"
 core = "7.x"
 project = "jquery_update"
-datestamp = "1360375905"
+datestamp = "1396482246"
 
diff --git a/drupal7/sites/all/modules/jquery_update/jquery_update.install b/drupal7/sites/all/modules/jquery_update/jquery_update.install
index a4e9168c..e167a230 100644
--- a/drupal7/sites/all/modules/jquery_update/jquery_update.install
+++ b/drupal7/sites/all/modules/jquery_update/jquery_update.install
@@ -6,7 +6,7 @@
  */
 
 /**
- * Implementation of hook_requirements().
+ * Implements hook_requirements().
  */
 function jquery_update_requirements($phase) {
   $requirements = array();
@@ -26,11 +26,13 @@ function jquery_update_requirements($phase) {
 }
 
 /**
- * Implementation of hook_uninstall().
+ * Implements hook_uninstall().
  */
 function jquery_update_uninstall() {
   variable_del('jquery_update_compression_type');
   variable_del('jquery_update_jquery_version');
+  variable_del('jquery_update_jquery_admin_version');
+  variable_del('jquery_update_jquery_cdn');
 }
 
 /**
